Package org.eclipse.emf.compare.provider.utils

## Interface IStyledString.IComposedStyledString

All Superinterfaces:
  `Iterable<IStyledString>`

All Known Implementing Classes:
  `ComposedStyledString`

Enclosing interface:
  IStyledString

    public static interface IStyledString.IComposedStyledString
    extends Iterable<IStyledString>

An iterable of `IStyledString`. It is appendable.

### Method Summary

All Methods Instance Methods Abstract Methods
`IStyledString.IComposedStyledString` `append​(String str)` Append the given string with no style.
`IStyledString.IComposedStyledString` `append​(String str, IStyledString.Style style)` Append the given string with the given style.
`IStyledString.IComposedStyledString` `append​(IStyledString.IComposedStyledString composedStyledString)` Appends the given composed styled string to this.
`String` `getString()` Returns the Java string for this composed styled string.

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### append

    IStyledString.IComposedStyledString append​(String str)

Append the given string with no style.

Parameters:
  `str` - the string to append.
Returns:
  this instance to let you chain the calls.

#### append

    IStyledString.IComposedStyledString append​(String str,
                                               IStyledString.Style style)

Append the given string with the given style.

Parameters:
  `str` - the string to append.
  `style` - the style of the appended string.
Returns:
  this instance to let you chain the calls.

#### append

    IStyledString.IComposedStyledString append​(IStyledString.IComposedStyledString composedStyledString)

Appends the given composed styled string to this.

Parameters:
  `composedStyledString` - the styled string to append.
Returns:
  this instance.
Since:
  4.0

#### getString

    String getString()

Returns the Java string for this composed styled string.

Returns:
  the Java string for this composed styled string.